<?php

/**
 * Contao News Infinite Scroll Bundle
 *
 * Copyright (c) 2018 Marko Cupic
 *
 * @author Marko Cupic <https://github.com/markocupic>
 *
 * @license LGPL-3.0+
 */


namespace Markocupic\ContaoNewsInfiniteScrollBundle\DependencyInjection;

use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Extension\Extension;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;


/**
 * ClassContaoNewsInfiniteScrollExtension
 * @package Markocupic\ContaoNewsInfiniteScrollBundle\DependencyInjection
 */
class MarkocupicContaoNewsInfiniteScrollExtension extends Extension
{
    /**
     * {@inheritdoc}
     */
    public function load(array $mergedConfig, ContainerBuilder $container)
    {
        $loader = new YamlFileLoader(
            $container,
            new FileLocator(__DIR__ . '/../Resources/config')
        );

        $loader->load('parameters.yml');
        $loader->load('listener.yml');
        $loader->load('services.yml');
    }
}
